<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.6.0) on Wed Aug 15 19:46:55 CEST 2007 -->
<TITLE>
NormalBoard
</TITLE>

<META NAME="date" CONTENT="2007-08-15">

<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../stylesheet.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="NormalBoard";
    }
}
</SCRIPT>
<NOSCRIPT>
</NOSCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">
<HR>


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/NormalBoard.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../gui/chess/normal/FigureRangeChecking.html" title="class in gui.chess.normal"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../gui/chess/normal/NormalBoardView.html" title="class in gui.chess.normal"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../index.html?gui/chess/normal/NormalBoard.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="NormalBoard.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;<A HREF="#field_summary">FIELD</A>&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;<A HREF="#field_detail">FIELD</A>&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<HR>
<!-- ======== START OF CLASS DATA ======== -->
<H2>
<FONT SIZE="-1">
gui.chess.normal</FONT>
<BR>
Class NormalBoard</H2>
<PRE>
<A HREF="http://java.sun.com/javase/6/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</A>
  <IMG SRC="../../../resources/inherit.gif" ALT="extended by "><A HREF="../../../model/chess/Board.html" title="class in model.chess">model.chess.Board</A>
      <IMG SRC="../../../resources/inherit.gif" ALT="extended by "><B>gui.chess.normal.NormalBoard</B>
</PRE>
<HR>
<DL>
<DT><PRE>public class <B>NormalBoard</B><DT>extends <A HREF="../../../model/chess/Board.html" title="class in model.chess">Board</A></DL>
</PRE>

<P>
Standard chess board definition.
<P>

<P>
<DL>
<DT><B>Author:</B></DT>
  <DD>robert.wloch@tempel-der-guten-dinge.de</DD>
</DL>
<HR>

<P>
<!-- =========== FIELD SUMMARY =========== -->

<A NAME="field_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Field Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="http://java.sun.com/javase/6/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</A>[]</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../gui/chess/normal/NormalBoard.html#columnNamesNormal">columnNamesNormal</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Default names.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="http://java.sun.com/javase/6/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</A>[]</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../gui/chess/normal/NormalBoard.html#rowNames">rowNames</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Default names.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="http://java.sun.com/javase/6/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</A>[]</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../gui/chess/normal/NormalBoard.html#rowNamesNormal">rowNamesNormal</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Default names.</TD>
</TR>
</TABLE>
&nbsp;<A NAME="fields_inherited_from_class_model.chess.Board"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Fields inherited from class model.chess.<A HREF="../../../model/chess/Board.html" title="class in model.chess">Board</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="../../../model/chess/Board.html#BISHOP_BLACK">BISHOP_BLACK</A>, <A HREF="../../../model/chess/Board.html#BISHOP_WHITE">BISHOP_WHITE</A>, <A HREF="../../../model/chess/Board.html#CASTLE_BLACK">CASTLE_BLACK</A>, <A HREF="../../../model/chess/Board.html#CASTLE_WHITE">CASTLE_WHITE</A>, <A HREF="../../../model/chess/Board.html#figureImageFilenames">figureImageFilenames</A>, <A HREF="../../../model/chess/Board.html#figureTypes">figureTypes</A>, <A HREF="../../../model/chess/Board.html#KING_BLACK">KING_BLACK</A>, <A HREF="../../../model/chess/Board.html#KING_WHITE">KING_WHITE</A>, <A HREF="../../../model/chess/Board.html#KNIGHT_BLACK">KNIGHT_BLACK</A>, <A HREF="../../../model/chess/Board.html#KNIGHT_WHITE">KNIGHT_WHITE</A>, <A HREF="../../../model/chess/Board.html#PAWN_BLACK">PAWN_BLACK</A>, <A HREF="../../../model/chess/Board.html#PAWN_WHITE">PAWN_WHITE</A>, <A HREF="../../../model/chess/Board.html#QUEEN_BLACK">QUEEN_BLACK</A>, <A HREF="../../../model/chess/Board.html#QUEEN_WHITE">QUEEN_WHITE</A></CODE></TD>
</TR>
</TABLE>
&nbsp;
<!-- ======== CONSTRUCTOR SUMMARY ======== -->

<A NAME="constructor_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Constructor Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../gui/chess/normal/NormalBoard.html#NormalBoard()">NormalBoard</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Creates a normal chess board.</TD>
</TR>
</TABLE>
&nbsp;
<!-- ========== METHOD SUMMARY =========== -->

<A NAME="method_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Method Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://java.sun.com/javase/6/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">Map</A>&lt;<A HREF="http://java.sun.com/javase/6/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</A>,<A HREF="http://java.sun.com/javase/6/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</A>&gt;</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../gui/chess/normal/NormalBoard.html#createBoardFigures()">createBoardFigures</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
 Creates a mapping of field names to figures for initial figure placement
 on normal chess boards.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../gui/chess/normal/NormalBoard.html#createFields()">createFields</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Creates the fields of a chess board.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../gui/chess/normal/NormalBoard.html#displayHelpMessageBox(javax.swing.JFrame)">displayHelpMessageBox</A></B>(<A HREF="http://java.sun.com/javase/6/docs/api/javax/swing/JFrame.html?is-external=true" title="class or interface in javax.swing">JFrame</A>&nbsp;frame)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Display a message box or something similar to provide help information.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://java.sun.com/javase/6/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../gui/chess/normal/NormalBoard.html#get2DName(int[])">get2DName</A></B>(int[]&nbsp;xy)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns a Field name for the given board position.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://java.sun.com/javase/6/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../gui/chess/normal/NormalBoard.html#get3DName(int[])">get3DName</A></B>(int[]&nbsp;xyz)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns a 3D Field name for the given board position.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../gui/chess/normal/NormalBoard.html#highlightFieldsForSelectedField(model.chess.Field)">highlightFieldsForSelectedField</A></B>(<A HREF="../../../model/chess/Field.html" title="class in model.chess">Field</A>&nbsp;f)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Check figure on selected field and highlight other fields to indicate
 range or coverage.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../gui/chess/normal/NormalBoard.html#processMouseDrag(java.awt.event.MouseEvent)">processMouseDrag</A></B>(<A HREF="http://java.sun.com/javase/6/docs/api/java/awt/event/MouseEvent.html?is-external=true" title="class or interface in java.awt.event">MouseEvent</A>&nbsp;e)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Process a mouse drag event on the BoardView.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../gui/chess/normal/NormalBoard.html#processMouseDragEnd(java.awt.event.MouseEvent)">processMouseDragEnd</A></B>(<A HREF="http://java.sun.com/javase/6/docs/api/java/awt/event/MouseEvent.html?is-external=true" title="class or interface in java.awt.event">MouseEvent</A>&nbsp;e)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Process end of a mouse drag event on the BoardView.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../gui/chess/normal/NormalBoard.html#processMouseDragStart(java.awt.event.MouseEvent)">processMouseDragStart</A></B>(<A HREF="http://java.sun.com/javase/6/docs/api/java/awt/event/MouseEvent.html?is-external=true" title="class or interface in java.awt.event">MouseEvent</A>&nbsp;e)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Process start of a mouse drag event on the BoardView.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../gui/chess/normal/NormalBoard.html#processMouseMotion(java.awt.event.MouseEvent)">processMouseMotion</A></B>(<A HREF="http://java.sun.com/javase/6/docs/api/java/awt/event/MouseEvent.html?is-external=true" title="class or interface in java.awt.event">MouseEvent</A>&nbsp;e)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Process a mouse motion event on the BoardView.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../gui/chess/normal/NormalBoard.html#refreshFiguresStates()">refreshFiguresStates</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;For all figures needs to find the fields they can move onto, figures they
 can attack, and figures they cover.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../gui/chess/normal/NormalBoard.html#setFieldShade(model.chess.Field, int)">setFieldShade</A></B>(<A HREF="../../../model/chess/Field.html" title="class in model.chess">Field</A>&nbsp;field,
              int&nbsp;shade)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Applies a shade to all fields with the same name.</TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_model.chess.Board"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from class model.chess.<A HREF="../../../model/chess/Board.html" title="class in model.chess">Board</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="../../../model/chess/Board.html#clearEverything()">clearEverything</A>, <A HREF="../../../model/chess/Board.html#createFigureListViews(java.awt.Dimension, gui.chess.ChessUi)">createFigureListViews</A>, <A HREF="../../../model/chess/Board.html#createGridFields(int, int)">createGridFields</A>, <A HREF="../../../model/chess/Board.html#createLogView(java.awt.Dimension, gui.chess.ChessUi)">createLogView</A>, <A HREF="../../../model/chess/Board.html#generalInit()">generalInit</A>, <A HREF="../../../model/chess/Board.html#getAttackedFiguresView()">getAttackedFiguresView</A>, <A HREF="../../../model/chess/Board.html#getBlackAttackedFiguresList()">getBlackAttackedFiguresList</A>, <A HREF="../../../model/chess/Board.html#getBlackFiguresList()">getBlackFiguresList</A>, <A HREF="../../../model/chess/Board.html#getBlackKing()">getBlackKing</A>, <A HREF="../../../model/chess/Board.html#getFieldsByName()">getFieldsByName</A>, <A HREF="../../../model/chess/Board.html#getFieldsList()">getFieldsList</A>, <A HREF="../../../model/chess/Board.html#getFieldUnderMouseDrag()">getFieldUnderMouseDrag</A>, <A HREF="../../../model/chess/Board.html#getFigureImageFilenames()">getFigureImageFilenames</A>, <A HREF="../../../model/chess/Board.html#getFigureTypes()">getFigureTypes</A>, <A HREF="../../../model/chess/Board.html#getGame()">getGame</A>, <A HREF="../../../model/chess/Board.html#getGridFields()">getGridFields</A>, <A HREF="../../../model/chess/Board.html#getLastFieldUnderMouse()">getLastFieldUnderMouse</A>, <A HREF="../../../model/chess/Board.html#getLastPinUnderMouse()">getLastPinUnderMouse</A>, <A HREF="../../../model/chess/Board.html#getLogJComponent()">getLogJComponent</A>, <A HREF="../../../model/chess/Board.html#getLogView()">getLogView</A>, <A HREF="../../../model/chess/Board.html#getMouseDragPosition()">getMouseDragPosition</A>, <A HREF="../../../model/chess/Board.html#getPinsList()">getPinsList</A>, <A HREF="../../../model/chess/Board.html#getPinUnderMouseDrag()">getPinUnderMouseDrag</A>, <A HREF="../../../model/chess/Board.html#getView()">getView</A>, <A HREF="../../../model/chess/Board.html#getWhiteAttackedFiguresList()">getWhiteAttackedFiguresList</A>, <A HREF="../../../model/chess/Board.html#getWhiteFiguresList()">getWhiteFiguresList</A>, <A HREF="../../../model/chess/Board.html#getWhiteKing()">getWhiteKing</A>, <A HREF="../../../model/chess/Board.html#isDragging()">isDragging</A>, <A HREF="../../../model/chess/Board.html#loadImages()">loadImages</A>, <A HREF="../../../model/chess/Board.html#placeFigureOutOfGame(model.chess.Figure)">placeFigureOutOfGame</A>, <A HREF="../../../model/chess/Board.html#recreateFieldsByName()">recreateFieldsByName</A>, <A HREF="../../../model/chess/Board.html#setBlackKing(model.chess.Figure)">setBlackKing</A>, <A HREF="../../../model/chess/Board.html#setDragging(boolean)">setDragging</A>, <A HREF="../../../model/chess/Board.html#setFieldUnderMouseDrag(model.chess.Field)">setFieldUnderMouseDrag</A>, <A HREF="../../../model/chess/Board.html#setGame(model.chess.trid.Game)">setGame</A>, <A HREF="../../../model/chess/Board.html#setGridField(int, int, model.chess.Field)">setGridField</A>, <A HREF="../../../model/chess/Board.html#setLastFieldUnderMouse(model.chess.Field)">setLastFieldUnderMouse</A>, <A HREF="../../../model/chess/Board.html#setLastPinUnderMouse(model.chess.trid.Pin)">setLastPinUnderMouse</A>, <A HREF="../../../model/chess/Board.html#setMouseDragPosition(java.awt.Point)">setMouseDragPosition</A>, <A HREF="../../../model/chess/Board.html#setPinUnderMouseDrag(model.chess.trid.Pin)">setPinUnderMouseDrag</A>, <A HREF="../../../model/chess/Board.html#setView(gui.chess.BoardView)">setView</A>, <A HREF="../../../model/chess/Board.html#setWhiteKing(model.chess.Figure)">setWhiteKing</A></CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_java.lang.Object"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from class java.lang.<A HREF="http://java.sun.com/javase/6/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="http://java.sun.com/javase/6/docs/api/java/lang/Object.html?is-external=true#clone()" title="class or interface in java.lang">clone</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/lang/Object.html?is-external=true#equals(java.lang.Object)" title="class or interface in java.lang">equals</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/lang/Object.html?is-external=true#finalize()" title="class or interface in java.lang">finalize</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/lang/Object.html?is-external=true#getClass()" title="class or interface in java.lang">getClass</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/lang/Object.html?is-external=true#hashCode()" title="class or interface in java.lang">hashCode</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/lang/Object.html?is-external=true#notify()" title="class or interface in java.lang">notify</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/lang/Object.html?is-external=true#notifyAll()" title="class or interface in java.lang">notifyAll</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/lang/Object.html?is-external=true#toString()" title="class or interface in java.lang">toString</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/lang/Object.html?is-external=true#wait()" title="class or interface in java.lang">wait</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/lang/Object.html?is-external=true#wait(long)" title="class or interface in java.lang">wait</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/lang/Object.html?is-external=true#wait(long, int)" title="class or interface in java.lang">wait</A></CODE></TD>
</TR>
</TABLE>
&nbsp;
<P>

<!-- ============ FIELD DETAIL =========== -->

<A NAME="field_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Field Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="columnNamesNormal"><!-- --></A><H3>
columnNamesNormal</H3>
<PRE>
public static final <A HREF="http://java.sun.com/javase/6/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</A>[] <B>columnNamesNormal</B></PRE>
<DL>
<DD>Default names.
<P>
<DL>
</DL>
</DL>
<HR>

<A NAME="rowNamesNormal"><!-- --></A><H3>
rowNamesNormal</H3>
<PRE>
public static final <A HREF="http://java.sun.com/javase/6/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</A>[] <B>rowNamesNormal</B></PRE>
<DL>
<DD>Default names.
<P>
<DL>
</DL>
</DL>
<HR>

<A NAME="rowNames"><!-- --></A><H3>
rowNames</H3>
<PRE>
public static final <A HREF="http://java.sun.com/javase/6/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</A>[] <B>rowNames</B></PRE>
<DL>
<DD>Default names.
<P>
<DL>
</DL>
</DL>

<!-- ========= CONSTRUCTOR DETAIL ======== -->

<A NAME="constructor_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Constructor Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="NormalBoard()"><!-- --></A><H3>
NormalBoard</H3>
<PRE>
public <B>NormalBoard</B>()</PRE>
<DL>
<DD>Creates a normal chess board.
<P>
</DL>

<!-- ============ METHOD DETAIL ========== -->

<A NAME="method_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Method Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="createFields()"><!-- --></A><H3>
createFields</H3>
<PRE>
protected void <B>createFields</B>()</PRE>
<DL>
<DD><B>Description copied from class: <CODE><A HREF="../../../model/chess/Board.html#createFields()">Board</A></CODE></B></DD>
<DD>Creates the fields of a chess board. Must set the size of the board's
 view.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../model/chess/Board.html#createFields()">createFields</A></CODE> in class <CODE><A HREF="../../../model/chess/Board.html" title="class in model.chess">Board</A></CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="createBoardFigures()"><!-- --></A><H3>
createBoardFigures</H3>
<PRE>
public <A HREF="http://java.sun.com/javase/6/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">Map</A>&lt;<A HREF="http://java.sun.com/javase/6/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</A>,<A HREF="http://java.sun.com/javase/6/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</A>&gt; <B>createBoardFigures</B>()</PRE>
<DL>
<DD><B>Description copied from class: <CODE><A HREF="../../../model/chess/Board.html#createBoardFigures()">Board</A></CODE></B></DD>
<DD><p>
 Creates a mapping of field names to figures for initial figure placement
 on normal chess boards. The extention ":n" specifies the vertical position
 of a field, which is not the same for all fields on Tri-D chess boards but
 is equal for all Fields on normal boards.
 </p>
 <p>
 The map contains also mappings from "attackboard.[white|black].[1|2]" to
 Pin names. Pin names are "QP1"-"QP6" and "KP1"-"KP6".
 </p>
 <p>
 Therefor the value Object may be an Integer or a String.
 </p>
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../model/chess/Board.html#createBoardFigures()">createBoardFigures</A></CODE> in class <CODE><A HREF="../../../model/chess/Board.html" title="class in model.chess">Board</A></CODE></DL>
</DD>
<DD><DL>

<DT><B>Returns:</B><DD>Map<String, Object>, e.g., "a8:0"-> CASTLE_BLACK or "z9:5"->
         CASTLE_BLACK</DL>
</DD>
</DL>
<HR>

<A NAME="highlightFieldsForSelectedField(model.chess.Field)"><!-- --></A><H3>
highlightFieldsForSelectedField</H3>
<PRE>
protected void <B>highlightFieldsForSelectedField</B>(<A HREF="../../../model/chess/Field.html" title="class in model.chess">Field</A>&nbsp;f)</PRE>
<DL>
<DD><B>Description copied from class: <CODE><A HREF="../../../model/chess/Board.html#highlightFieldsForSelectedField(model.chess.Field)">Board</A></CODE></B></DD>
<DD>Check figure on selected field and highlight other fields to indicate
 range or coverage.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../model/chess/Board.html#highlightFieldsForSelectedField(model.chess.Field)">highlightFieldsForSelectedField</A></CODE> in class <CODE><A HREF="../../../model/chess/Board.html" title="class in model.chess">Board</A></CODE></DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>f</CODE> - selected Field</DL>
</DD>
</DL>
<HR>

<A NAME="processMouseMotion(java.awt.event.MouseEvent)"><!-- --></A><H3>
processMouseMotion</H3>
<PRE>
public void <B>processMouseMotion</B>(<A HREF="http://java.sun.com/javase/6/docs/api/java/awt/event/MouseEvent.html?is-external=true" title="class or interface in java.awt.event">MouseEvent</A>&nbsp;e)</PRE>
<DL>
<DD><B>Description copied from class: <CODE><A HREF="../../../model/chess/Board.html#processMouseMotion(java.awt.event.MouseEvent)">Board</A></CODE></B></DD>
<DD>Process a mouse motion event on the BoardView. Triggers highlighting of
 fields and pins if the mouse cursor hovers over fields and pins.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../model/chess/Board.html#processMouseMotion(java.awt.event.MouseEvent)">processMouseMotion</A></CODE> in class <CODE><A HREF="../../../model/chess/Board.html" title="class in model.chess">Board</A></CODE></DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>e</CODE> - MouseEvent</DL>
</DD>
</DL>
<HR>

<A NAME="processMouseDrag(java.awt.event.MouseEvent)"><!-- --></A><H3>
processMouseDrag</H3>
<PRE>
public void <B>processMouseDrag</B>(<A HREF="http://java.sun.com/javase/6/docs/api/java/awt/event/MouseEvent.html?is-external=true" title="class or interface in java.awt.event">MouseEvent</A>&nbsp;e)</PRE>
<DL>
<DD><B>Description copied from class: <CODE><A HREF="../../../model/chess/Board.html#processMouseDrag(java.awt.event.MouseEvent)">Board</A></CODE></B></DD>
<DD>Process a mouse drag event on the BoardView. Triggers movement of figures
 and pins.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../model/chess/Board.html#processMouseDrag(java.awt.event.MouseEvent)">processMouseDrag</A></CODE> in class <CODE><A HREF="../../../model/chess/Board.html" title="class in model.chess">Board</A></CODE></DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>e</CODE> - MouseEvent</DL>
</DD>
</DL>
<HR>

<A NAME="processMouseDragStart(java.awt.event.MouseEvent)"><!-- --></A><H3>
processMouseDragStart</H3>
<PRE>
public void <B>processMouseDragStart</B>(<A HREF="http://java.sun.com/javase/6/docs/api/java/awt/event/MouseEvent.html?is-external=true" title="class or interface in java.awt.event">MouseEvent</A>&nbsp;e)</PRE>
<DL>
<DD><B>Description copied from class: <CODE><A HREF="../../../model/chess/Board.html#processMouseDragStart(java.awt.event.MouseEvent)">Board</A></CODE></B></DD>
<DD>Process start of a mouse drag event on the BoardView. Triggers movement of
 figures and pins.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../model/chess/Board.html#processMouseDragStart(java.awt.event.MouseEvent)">processMouseDragStart</A></CODE> in class <CODE><A HREF="../../../model/chess/Board.html" title="class in model.chess">Board</A></CODE></DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>e</CODE> - MouseEvent</DL>
</DD>
</DL>
<HR>

<A NAME="processMouseDragEnd(java.awt.event.MouseEvent)"><!-- --></A><H3>
processMouseDragEnd</H3>
<PRE>
public void <B>processMouseDragEnd</B>(<A HREF="http://java.sun.com/javase/6/docs/api/java/awt/event/MouseEvent.html?is-external=true" title="class or interface in java.awt.event">MouseEvent</A>&nbsp;e)</PRE>
<DL>
<DD><B>Description copied from class: <CODE><A HREF="../../../model/chess/Board.html#processMouseDragEnd(java.awt.event.MouseEvent)">Board</A></CODE></B></DD>
<DD>Process end of a mouse drag event on the BoardView. Triggers movement of
 figures and pins.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../model/chess/Board.html#processMouseDragEnd(java.awt.event.MouseEvent)">processMouseDragEnd</A></CODE> in class <CODE><A HREF="../../../model/chess/Board.html" title="class in model.chess">Board</A></CODE></DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>e</CODE> - MouseEvent</DL>
</DD>
</DL>
<HR>

<A NAME="setFieldShade(model.chess.Field, int)"><!-- --></A><H3>
setFieldShade</H3>
<PRE>
protected void <B>setFieldShade</B>(<A HREF="../../../model/chess/Field.html" title="class in model.chess">Field</A>&nbsp;field,
                             int&nbsp;shade)</PRE>
<DL>
<DD><B>Description copied from class: <CODE><A HREF="../../../model/chess/Board.html#setFieldShade(model.chess.Field, int)">Board</A></CODE></B></DD>
<DD>Applies a shade to all fields with the same name. On normal boards the
 shade should be set to the field only.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../model/chess/Board.html#setFieldShade(model.chess.Field, int)">setFieldShade</A></CODE> in class <CODE><A HREF="../../../model/chess/Board.html" title="class in model.chess">Board</A></CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="get2DName(int[])"><!-- --></A><H3>
get2DName</H3>
<PRE>
public <A HREF="http://java.sun.com/javase/6/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</A> <B>get2DName</B>(int[]&nbsp;xy)</PRE>
<DL>
<DD><B>Description copied from class: <CODE><A HREF="../../../model/chess/Board.html#get2DName(int[])">Board</A></CODE></B></DD>
<DD>Returns a Field name for the given board position.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../model/chess/Board.html#get2DName(int[])">get2DName</A></CODE> in class <CODE><A HREF="../../../model/chess/Board.html" title="class in model.chess">Board</A></CODE></DL>
</DD>
<DD><DL>

<DT><B>Returns:</B><DD>String, e.g. "a9" on a Tri-D board or "a8" on a regular board</DL>
</DD>
</DL>
<HR>

<A NAME="get3DName(int[])"><!-- --></A><H3>
get3DName</H3>
<PRE>
public <A HREF="http://java.sun.com/javase/6/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</A> <B>get3DName</B>(int[]&nbsp;xyz)</PRE>
<DL>
<DD><B>Description copied from class: <CODE><A HREF="../../../model/chess/Board.html#get3DName(int[])">Board</A></CODE></B></DD>
<DD>Returns a 3D Field name for the given board position.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../model/chess/Board.html#get3DName(int[])">get3DName</A></CODE> in class <CODE><A HREF="../../../model/chess/Board.html" title="class in model.chess">Board</A></CODE></DL>
</DD>
<DD><DL>

<DT><B>Returns:</B><DD>String, e.g. "a9:5" on a Tri-D board or "a8:0" on a regular board</DL>
</DD>
</DL>
<HR>

<A NAME="displayHelpMessageBox(javax.swing.JFrame)"><!-- --></A><H3>
displayHelpMessageBox</H3>
<PRE>
public void <B>displayHelpMessageBox</B>(<A HREF="http://java.sun.com/javase/6/docs/api/javax/swing/JFrame.html?is-external=true" title="class or interface in javax.swing">JFrame</A>&nbsp;frame)</PRE>
<DL>
<DD><B>Description copied from class: <CODE><A HREF="../../../model/chess/Board.html#displayHelpMessageBox(javax.swing.JFrame)">Board</A></CODE></B></DD>
<DD>Display a message box or something similar to provide help information.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../model/chess/Board.html#displayHelpMessageBox(javax.swing.JFrame)">displayHelpMessageBox</A></CODE> in class <CODE><A HREF="../../../model/chess/Board.html" title="class in model.chess">Board</A></CODE></DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>frame</CODE> - parent JFrame</DL>
</DD>
</DL>
<HR>

<A NAME="refreshFiguresStates()"><!-- --></A><H3>
refreshFiguresStates</H3>
<PRE>
public void <B>refreshFiguresStates</B>()</PRE>
<DL>
<DD><B>Description copied from class: <CODE><A HREF="../../../model/chess/Board.html#refreshFiguresStates()">Board</A></CODE></B></DD>
<DD>For all figures needs to find the fields they can move onto, figures they
 can attack, and figures they cover. Also collects fields where regular
 movement is blocked by other figures.<br>
 Marks kings being check or mate.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../model/chess/Board.html#refreshFiguresStates()">refreshFiguresStates</A></CODE> in class <CODE><A HREF="../../../model/chess/Board.html" title="class in model.chess">Board</A></CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<!-- ========= END OF CLASS DATA ========= -->
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/NormalBoard.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../gui/chess/normal/FigureRangeChecking.html" title="class in gui.chess.normal"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../gui/chess/normal/NormalBoardView.html" title="class in gui.chess.normal"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../index.html?gui/chess/normal/NormalBoard.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="NormalBoard.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;<A HREF="#field_summary">FIELD</A>&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;<A HREF="#field_detail">FIELD</A>&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<HR>

</BODY>
</HTML>
